import at.jku.ssw.Queue;
import at.jku.students.ArrayQueue;

import at.jku.ssw.Iterator;

class Test {
  public static void main(String[] args) throws Exception {
    Queue q = new ArrayQueue();
    q.put('P');
    q.put('I');
    q.put('2');
    Out.println(q.size());

    Iterator it = q.iterator();
    while (it.hasNext()) {
      Out.print(" " + it.next());
    }
    Out.println();
    
    while (q.size() > 0) {
      Out.print(" " + q.get());
    }
    Out.println();

    try {
      q.get();
    } catch (Exception ex) {
      Out.println(ex.toString());
    }
    
    q = new ArrayQueue();
    String test = "E A S * Y * Q U E * * * S T * * * I O * N * * *";
    String[] chars = test.split(" ");
    for (int i = 0; i < chars.length; i++) {
      char ch = chars[i].charAt(0);
      switch(ch) {
        case '*': Out.print(" " + q.get());
          break;
        default:
          q.put(ch);
          break;
      }
    }
    Out.println();
  }
}